<div class="container mt-5">
    <div class="py-5 text-center">
      <h2>Listagem de contas</h2>
    </div>

    <div class="row">
        <div class="col-md-12 mb-5">
            <button type="button" class="btn btn-primary" (click)="cadastro()">Cadastrar</button>
        </div>
        <div class="col-md-12">
            <table class="table">
                <thead>
                  <tr>
                    <th scope="col">Nome</th>
                    <th scope="col">Valor Original</th>
                    <th scope="col">Valor Corrigido</th>
                    <th scope="col">Quantidade de dias de atraso</th>
                    <th scope="col">Data de Pagamento</th>
                  </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let conta of contas;">
                        <td>{{conta.nome}}</td>
                        <td>{{conta.valorOriginal | number}}</td>
                        <td>{{conta.valorCorrigido | number }}</td>
                        <td>{{conta.quantidadeDeDiasEmAtraso }}</td>
                        <td>{{conta.dataDePagamento | date: 'dd/MM/yyyy' }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
